Tail Logs
const url = 'https://example.com/observability/v1/workspaces/example/engines/example/logs:tail';const options = { method: 'POST', headers: {'Content-Type': 'application/json'}, body: '{"workspace":"example","engine":"example","query":"example","filter":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example.com/observability/v1/workspaces/example/engines/example/logs:tail \ --header 'Content-Type: application/json' \ --data '{ "workspace": "example", "engine": "example", "query": "example", "filter": "example" }'Live-tails matching log lines as a server stream until the client cancels.
Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ”The workspace whose telemetry is tailed. Live tail is single-workspace only: the organisation-wide ’-’ wildcard is rejected (cross-workspace access is read-only).
The provider: qibdo, aws, gcp, or azure (the wildcard ’-’ is not allowed for tail).
Request Body required
Section titled “Request Body required ”TailLogsRequest
Request for TailLogs.
object
The workspace whose telemetry is tailed. Live tail is single-workspace only: the organisation-wide ’-’ wildcard is rejected (cross-workspace access is read-only).
The provider: qibdo, aws, gcp, or azure (the wildcard ’-’ is not allowed for tail).
The native log query expression (LogQL for the qibdo engine).
AIP-160 filter expression.
Example generated
{ "workspace": "example", "engine": "example", "query": "example", "filter": "example"}Responses
Section titled “ Responses ”OK
TailLogsResponse
One streamed log line from a live tail.
object
The log line.
object
When the line was emitted.
The raw log line.
The stream labels (the unique label set this line belongs to).
object
Example generated
{ "entry": { "timestamp": "2026-04-15T12:00:00Z", "line": "example", "labels": { "additionalProperty": "example" } }}default
Section titled “default ”Default error response
The Status type defines a logical error model that is suitable for different programming environments, including REST APIs and RPC APIs. It is used by gRPC. Each Status message contains three pieces of data: error code, error message, and error details. You can find out more about this error model and how to work with it in the API Design Guide.
object
The status code, which should be an enum value of [google.rpc.Code][google.rpc.Code].
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the [google.rpc.Status.details][google.rpc.Status.details] field, or localized by the client.
A list of messages that carry the error details. There is a common set of message types for APIs to use.
Contains an arbitrary serialized message along with a @type that describes the type of the serialized message.
object
The type of the serialized message.
Example generated
{ "code": 1, "message": "example", "details": [ { "@type": "example" } ]}